# coding: utf-8
# Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
import os, sys
sys.path.insert(0, os.path.join(os.path.dirname(__file__),'packages'))

from . import announcements_service, audit, autoscaling, budget, container_engine, core, database, dns, email, file_storage, healthchecks, identity, key_management, load_balancer, monitoring, object_storage, ons, resource_manager, resource_search, streaming, waas
from . import auth, config, constants, decorators, exceptions, regions, pagination, retry, fips
from .base_client import BaseClient
from .request import Request
from .response import Response
from .signer import Signer
from .version import __version__  # noqa
from .waiter import wait_until

fips.enable_fips_mode()

__all__ = [
    "BaseClient", "Error", "Request", "Response", "Signer", "config", "constants", "decorators", "exceptions", "regions", "wait_until", "pagination", "auth", "retry", "fips",
    "announcements_service", "audit", "autoscaling", "budget", "container_engine", "core", "database", "dns", "email", "file_storage", "healthchecks", "identity", "key_management", "load_balancer", "monitoring", "object_storage", "ons", "resource_manager", "resource_search", "streaming", "waas"
]
